function obs_or = convert_obs(obs, data)
  % convert_obs conversion de obs (en unité de temps de calcul)
  % en obs_or (en unité de temps des données)
%% -----------------------------------
  obs_or=[];
  uniteT= get(data.uniteT_tag(1), 'value');
uniteT_pourcalcul= data.uniteT_pourcalcul;
if uniteT == uniteT_pourcalcul
  obs_or=obs;
  return
end
if uniteT == 1
    % les donnees sont en jour, obs doit etre en heure
  obs_or= obs/24;
end


if uniteT == 2
    % les donnees sont en heures, obs doit etre en mns
% VERIF au cas ou
%  if uniteT_pourcalcul ~= 3
%    errordlg(['uniteT_pourcalcul= ' num2str(uniteT_pourcalcul), ...
%				    ' uniteT= ' num2str(uniteT) ]);
%  return
%  end
% FIN VERIF  au cas ou
  obs_or= obs/60;
end

end % fin convert_obs
